global pictureList, movieList, frameList, firstCharList, newSoundName, newMovieName, newFrame, newPicName, gFrameLabel

on startMovie
  sound stop 1
  if the freeBlock < 1024 then
    unLoad()
  end if
  set the keyDownScript to "goKey"
  set pictureList to value(the text of field "picturelist")
  set movieList to value(the text of field "movielist")
  set frameList to value(the text of field "framelist")
  set firstCharList to []
  set x to the lineCount of member "list"
  repeat with y = 1 to x
    set z to char 1 of line y of field "list"
    append(firstCharList, z)
  end repeat
  set the scrollTop of member "list" to 1
  hilite line 1 of field "list"
  set theWord to word 1 of field "list"
  set newPicName to getaProp(pictureList, theWord)
  puppetSprite(36, 1)
  set the member of sprite 36 to member newPicName
  set newMovieName to getaProp(movieList, theWord)
  set newFrame to getaProp(frameList, theWord)
end

on goKey
  set x to the key
  set y to getOne(firstCharList, x)
  set the scrollTop of member "list" to 1
  scrollByLine(member "list", y - 1)
  if y = 0 then
    nothing()
  else
    hilite line y of field "list"
    set theWord to word y of field "list"
    set newPicName to getaProp(pictureList, theWord)
    puppetSprite(36, 1)
    set the member of sprite 36 to member newPicName
    set newMovieName to getaProp(movieList, theWord)
    set newFrame to getaProp(frameList, theWord)
  end if
end

on mouseUp
  set theLine to the mouseLine
  set theField to the mouseCast
  set theWord to word theLine of field "list"
  if (theLine > 0) and (theField > 0) then
    hilite line theLine of field theField
    set newPicName to getaProp(pictureList, theWord)
    puppetSprite(36, 1)
    set the member of sprite 36 to member newPicName
    set newMovieName to getaProp(movieList, theWord)
    set newFrame to getaProp(frameList, theWord)
  end if
end

on goMovie
  set gFrameLabel to newFrame
  tell the stage
    go(newFrame, newMovieName)
  end tell
end
